'use strict';
const rules = require('../index.js');


const testSrc = {
    "name": "Balance Forward"
};

const recipe = {
        "src": [
        "name"
      ],
      "mapping_rule": "dict_lookup($name)"
    };  

const dict = {
    "Balance Forward": {
        "value": "Account Activity (incl GST)",
        "tier_sort": "10"
    },
    "Payments": {
        "value": "Payments Received",
        "tier_sort": "20"
    },
    "Adjustments": {
        "value": "Adjustments Done",
        "tier_sort": "30"
    },
    "Current Charges and Credits": {
        "value": "New Charges (incl GST)",
        "tier_sort": "20"
    }
};

const rule = rules.parse(recipe.mapping_rule);
const outcome = rules.execFunction(rule, testSrc, dict);
console.log("result: " + outcome);